Bug 1932151 - Restore snapshot as a new PVC: RWO/RWX access modes are not click-able if parent PVC is deleted
Summary: Restore snapshot as a new PVC: RWO/RWX access modes are not click-able if par...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Vineet
QA Contact: Jilju Joy
URL:
Whiteboard:
Depends On: 1922264
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-24 05:12 UTC by OpenShift BugZilla Robot
Modified: 2021-03-16 08:43 UTC (History)
6 users (show)

Fixed In Version: 4.7.0-nightly 4.7.1-nightly
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-16 08:42:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8229 0 None open [release-4.7] Bug 1932151: Fix rendering of access-mode selector 2021-02-24 05:12:31 UTC
Red Hat Product Errata RHBA-2021:0749 0 None None None 2021-03-16 08:43:10 UTC

Comment 3 Jilju Joy 2021-03-09 11:13:11 UTC
Tested in version 

$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.1     True        False         25m     Cluster version is 4.7.1


$ oc get csv
NAME                         DISPLAY                       VERSION        REPLACES   PHASE
ocs-operator.v4.7.0-284.ci   OpenShift Container Storage   4.7.0-284.ci              Succeeded

Observed the same issues mentioned in the description. Is 4.7.1 the right OCP version to verify this bug ? I couldn't find the build for another 4.7.z version. 4.7.1 is found the latest version available. 
Moving this bug back to assigned state.

Comment 4 Jilju Joy 2021-03-09 11:17:05 UTC
This bug was tested with below version as well.
OCP 4.7.0-0.nightly-2021-03-06-183610
ocs-operator.v4.7.0-284.ci

Comment 5 Vineet 2021-03-10 12:35:26 UTC
As discussed, RWX access is disabled as expected as the initial parent PVC access mode is not known. The fix for this in 4.8 as part of https://github.com/openshift/console/pull/8136. 

Moving back to ON_QA

Comment 6 Jilju Joy 2021-03-11 09:39:00 UTC
(In reply to Vineet from comment #5)
> As discussed, RWX access is disabled as expected as the initial parent PVC
> access mode is not known. The fix for this in 4.8 as part of
> https://github.com/openshift/console/pull/8136. 
> 
> Moving back to ON_QA

Only RWX is disabled while restoring snapshot after deleting parent PVC. This is tested in OCP 4.7.0-0.nightly-2021-03-06-183610. RWO access mode can be selected.
Moving this bug to verified state.

Comment 8 errata-xmlrpc 2021-03-16 08:42:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.2 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0749


Note You need to log in before you can comment on or make changes to this bug.